%{?nodejs_find_provides_and_requires}

%global packagename jschardet
%global enable_tests 0
# tests disabled until I can figure out how to properly run the tests outside
# of the browser

Name:		nodejs-jschardet
Version:	1.4.1
Release:	1%{?dist}
Summary:	Character encoding auto-detection in JavaScript (port of python's chardet)

License:	LGPLv2+
# License is at the top of src/init.js, but we'll split it out into a separate file in prep
URL:		https://github.com/aadsm/jschardet.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Character encoding auto-detection in JavaScript (port of python's chardet)


%prep
%setup -q -n package
# License is at the top of src/init.js, but we'll split it out into a separate file now
head -n 30 src/init.js > LICENSE-LGPL.txt

# Add shebang
sed -i '1s;^;#!/usr/bin/node\n;' *.js src/*.js

# remove executable bits from files that don't need them
chmod -x README.md package.json

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js src/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{_bindir}/qunit
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-LGPL.txt
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Nov 30 2015 Jared Smith <jsmith@fedoraproject.org> - 1.4.1-1
- Initial packaging
